javax.batch.api.chunk.listener

## Interface SkipReadListener

    public interface SkipReadListener

SkipReadListener intercepts skippable itemReader exception handling.

### Method Summary

Methods
`void` `onSkipReadItem(Exception ex)` The onSkipReadItem method receives control when a skippable exception is thrown from an ItemReader readItem method.

### Method Detail

#### onSkipReadItem

    void onSkipReadItem(Exception ex)
                        throws Exception

The onSkipReadItem method receives control when a skippable exception is thrown from an ItemReader readItem method. This method receives the exception as an input.

Parameters:
  `ex` - specifies the exception thrown by the ItemReader.
Throws:
  `Exception` - is thrown if an error occurs.

© Copyright IBM Corp. 2014
Licensed under the Apache License, Version 2.0